package com.facebook.login;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

class LoginClient$1 implements Creator<LoginClient> {
    LoginClient$1() {
    }

    public final LoginClient createFromParcel(Parcel parcel) {
        AppMethodBeat.i(96789);
        LoginClient loginClient = new LoginClient(parcel);
        AppMethodBeat.o(96789);
        return loginClient;
    }

    public final LoginClient[] newArray(int i) {
        return new LoginClient[i];
    }
}
